//var cookieParser = require('cookie-parser');
//var routes = require('./routes/routes');
//var api = require('./api/api');
import passport from 'passport';
import LdapStrategy from 'passport-ldapauth';
import session from 'express-session';
import ldap from 'ldapjs';
import fs from 'fs';

function SetupLdap(app) {
    var config = JSON.parse(fs.readFileSync('config.json', 'utf8'));
    
	passport.use(new LdapStrategy({
		server: {
			url: config.ldap.server,
			searchBase: config.ldap.searchBase,
			searchFilter: config.ldap.searchFilter
		}
	}));

	app.use(session({ secret: config.sessionSecret}));
	app.use(passport.initialize());
	app.use(passport.session());

	passport.serializeUser(function(user, done) {
		done(null, user);
	});

	passport.deserializeUser(function(user, done) {
		done(null, user);
	});

	// Returns middleware that parses cookies
	//app.use(cookieParser());

	routes(app, passport);
	api(app, passport, ldap, mailqueue, config);

	setInterval(function(){
		//console.log(mailqueue.length);
	}, 2000)

}

export default SetupLdap;